NodeRingsDocs

Update Provider Ticket Notification Policy Provider Ticket Notification Service_ Update Provider Ticket Notification Policy

PUT
/v1/provider/ticket-notification-policy
Authorization<token>

Bearer token

In: header

X-Organization-ID<token>

Tenant or organization identifier

In: header

policy?

Response Body

application/json

curl -X PUT "https://api.noderings.com/v1/provider/ticket-notification-policy" \  -H "Authorization: Bearer {your_token}" \  -H "X-Organization-ID: {your_org_id}" \  -H "Content-Type: application/json" \  -d '{  "policy": {    "id": "string",    "enabled": false,    "destinationEmail": "string",    "extraEmails": [      "string"    ],    "notifyOnCreated": false,    "notifyOnClientReplied": false,    "notifyOnEscalated": false,    "notifyOnClosed": false,    "includeMessageBody": false,    "includeClientContact": false,    "minPriority": "TICKET_PRIORITY_UNSPECIFIED",    "effectiveDestinationEmail": "string",    "inboundRepliesEnabled": false  }}'
{
  "policy": {
    "id": "string",
    "enabled": true,
    "destinationEmail": "string",
    "extraEmails": [
      "string"
    ],
    "notifyOnCreated": true,
    "notifyOnClientReplied": true,
    "notifyOnEscalated": true,
    "notifyOnClosed": true,
    "includeMessageBody": true,
    "includeClientContact": true,
    "minPriority": "TICKET_PRIORITY_UNSPECIFIED",
    "effectiveDestinationEmail": "string",
    "inboundRepliesEnabled": true
  }
}